@import '../../../providers/theme-provider/default-theme/index.scss';

.wrapper {
  position: fixed;
  right: 0;
  top: calc(50% - 125px);
  width: 300px;
  margin-left: auto;
  z-index: 2;
}

.sideBar {
  padding: 15px 15px 15px 45px;
  position: relative;
  transition: all 0.3s ease-in-out;
  border-right: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.toggleButton {
  position: absolute;
  left: -29px;
  top: 34%;
  background: #ffffff;
  border: none;
  border: 1px solid #dfdfdf;
  border-radius: 50%;
  height: 60px;
  width: 60px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  box-shadow: 1px 1px 6px #cecece;
  transition: all 0.3s;
  &:hover {
    transform: scale(1.2);
    color: $primary-color;
  }

  &:focus {
    outline: none;
  }
}

:global {
  @keyframes rotateClockwise {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
}

.rotate-animation {
  animation: slideInFromRight 1 ease-in 0 infinite;
}

.iconWrapper {
  text-align: center;
  margin: 0 auto 10px auto;
}
